﻿@{
    Layout = null;
}

<div class="view-container">

    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                {{Model.ProgramName}} lottery registrations
            </h1>
        </div>

        <div class="actions">
            <a class="action on-left-more margin-top10"  data-toggle="tooltip" data-placement="bottom" title="{{Model.FinalizeDescription}}" jb-tooltip ng-click="finalize()">
                <i ng-class="{ 'action-disabled': Model.EnableFinalize != true, 'jbi-check fg-black': true }" ></i>
            </a>
            <a class="action on-left-more margin-top10" data-toggle="tooltip" title="{{Model.DrawDescription}}" data-placement="bottom" ng-click="draw()" jb-tooltip>
                <i ng-class="{ 'action-disabled': Model.EnableDraw != true, 'jbi-dice fg-black': true }" ></i>
            </a>
            <a class="action margin-top10" data-toggle="tooltip" data-placement="bottom" title="Email participants" ng-click="MakeCampaign()" jb-tooltip>
                <i ng-class="{'jbi-email fg-black': true }" ></i>
            </a>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <div id="orders-header">
        <h3 class="place-left one-half jbi-people">Number of participants: {{Model.NumberOfParticipants}}</h3>
        <h3 class="place-left one-half jbi-people">Capacity: {{Model.TotalCapacity}}</h3>
        <div class="clearfix"></div>
    </div>

    <hr />

    <br />
    <kendo-grid id="orderGrid" options="orderGridOptions"></kendo-grid>

    <div class="clearfix"></div>
</div>
